
Summary: A library for accessing MusicBrainz servers
Name:	 libmusicbrainz2
Version: 2.0.2
Release: 0.3%{?dist}%{?kde}

License: LGPL
Group: 	 System Environment/Libraries
URL:	 http://www.musicbrainz.org/
Source:	 http://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-2.0.2.tar.gz	
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: libmusicbrainz20
Obsoletes: libmusicbrainz <= %{version}

BuildRequires: expat-devel

Patch0: libmusicbrainz-2.0.2-conf.patch
Patch1: libmusicbrainz-2.0.2-missing-return.patch
Patch2: libmusicbrainz-2.0.2-cast-fix.patch

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package devel
Summary: Headers for developing programs that will use libmusicbrainz
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Obsoletes: libmusicbrainz20-devel
Obsoletes: libmusicbrainz-devel <= %{version}
Conflicts: libmusicbrainz-devel > %{version}
%description   devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.


%prep
%setup -q -n libmusicbrainz-%{version}

#patch0 -p1 -b .conf
%patch1 -p1 -b .missing-return
%patch2 -p1 -b .cast-fix


%build
%configure --disable-static

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*pc
%{_libdir}/*.so
#%{_libdir}/*.a


%changelog
* Fri Mar 17 2006 Rex Dieter 2.0.2-0.3
- -devel: drop %%epoch from Requires:
- -devel: Req: pkgconfig
* Tue Feb 14 2006 Rex DEieter 2.0.2-0.2
- -devel: Obsoletes: libmusicbrainz20-devel

* Thu Feb 09 2006 Rex Dieter 2.0.2-0.1
- libmusicbrainz20 -> libmusicbrainz2

* Thu Dec 16 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:2.0.2-0.1.kde
- missing-return patch
- put back conf patch (for x86_64)

* Mon May 03 2004 Rex Dieter <rexdieter at sf.net> 0:2.0.2-0.0
- libmusicbrainz20 compat rpm

* Fri Aug 22 2003 Bill Nottingham <notting@redhat.com> 2.0.2-5
- fix autoconf/libtool weirdness, remove exclusivearch

* Fri Aug 22 2003 Brent Fox <bfox@redhat.com> 2.0.2-4
- add ExcludeArch for s390x (something is really broken)

* Fri Aug 22 2003 Brent Fox <bfox@redhat.com> 2.0.2-3
- add ExcludeArch for ppc64

* Fri Aug 22 2003 Brent Fox <bfox@redhat.com> 2.0.2-2
- add ExcludeArch for x86_64 for now

* Thu Aug 21 2003 Brent Fox <bfox@redhat.com> 
- Initial build.


